Retrieve a delta

Returns absence groups that have changed since the last delta token.

Caution

Read the Delta page. There is important information on required implementation!

Note

When an absence group is saved in myProtime, all absence groups are saved, even if there are no changes. This will result in delta events for all absence groups.

Tip

Check the Swagger page for more technical information on the endpoints.

Endpoint details

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/absence-groups?delta

Headers: Authorization: Bearer {token}, User-Agent: {agent} Scope: connector-protimeapi-absence-groups.read

Response properties

Field Type Required Writable Description
changeVersion string — Read-only Property to indicate the order of changes.
id integer — Read-only Internal unique identifier for the absence group.
name.default string — Read-only Default name value of the absence group.
name.translations object — Read-only A list of translated names of the absence group by language code.
type string — Read-only The type of the absence group (Absence, WorkingElsewhere).

Filters

This endpoint does not support filters. A delta always covers all absence groups. A request that includes the filter query parameter is rejected with 400 Bad Request, both when starting a delta (?delta) and when following a deltaLink.

External references

This endpoint does not support external references.

Error responses

Status Condition
400 Unsupported query parameter, such as filter
401 Missing or invalid access token, or insufficient scope
410 Delta token has expired (older than 72 hours)
414 Request URI too long

Examples

Retrieving delta changes for absence groups

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/absence-groups?delta